Accounts APITransactions
Get transaction details
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Path Parameters
transactionId*string
Unique UUID of the transaction.
Format
uuidHeader Parameters
X-Volt-Api-Version*1
Version of the API used. Currently, version 1 is the only version.
Value in
- 1
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/transactions/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "X-Volt-Api-Version: 1"{ "id": "efffed42-40f7-4bd2-840d-908aae9a33ad", "status": "COMPLETED", "failure": null, "operation": "OUTGOING", "type": "PAYOUT", "subtype": "OPEN_LOOP", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-25T14:15:22Z", "amount": 500, "currency": "EUR", "paymentReference": "Payout123456", "internalReference": "H35X48Y4FWOD6G3S", "paymentRail": "SEPA", "beneficiary": { "name": "John Doe", "country": "GB", "email": "email@email.com", "accountIdentifiers": { "iban": "DE07500105176551562526" }, "address": { "addressLine1": "123, Main Street", "addressLine2": "", "city": "London", "postalCode": "12332", "country": "GB" } }, "sender": { "name": "Account Holding", "customerId": "efffed42-40f7-4bd2-840d-908aae9a33ad", "accountId": "efffed42-40f7-4bd2-840d-908aae9a33ad", "accountIdentifiers": { "iban": "DE07500105176551562526", "swiftBic": "123456" } }, "initiatedBy": { "user": { "id": "efffed42-40f7-4bd2-840d-908aae9a33ad", "name": "Robert Robertson", "type": "USER" } }, "decisions": [ { "user": { "id": "efffed42-40f7-4bd2-840d-908aae9a33ad", "name": "Robert Robertson", "type": "USER" }, "type": "APPROVED", "createdAt": "2019-08-24T14:15:22Z" } ], "_links": { "self": { "href": "https://accounts.volt.io/transactions/efffed42-40f7-4bd2-840d-908aae9a33ad", "method": "GET" } }}{ "code": "BAD_REQUEST", "message": "string"}{ "code": "UNAUTHORISED", "message": "string"}{ "code": "ACCESS_DENIED", "message": "string"}{ "code": "RESOURCE_NOT_FOUND", "message": "string"}{ "code": "METHOD_NOT_SUPPORTED", "message": "string"}{ "code": "MEDIA_TYPE_NOT_ACCEPTABLE", "message": "string"}{ "code": "UNSUPPORTED_MEDIA_TYPE", "message": "string"}{ "code": "VALIDATION_FAILURE", "message": "string", "errors": [ { "type": "TOO_FEW", "propertyPath": "string", "message": "string" } ]}{ "code": "INTERNAL_SERVER_ERROR", "message": "string"}